Onsets and Frames Colab Notebook - Run inference error

38 views
Skip to first unread message

Joengmin Hwang

unread,
Aug 8, 2022, 4:46:18 AMAug 8
to Magenta Discuss
Is  Onsets and Frames Colab broken? I uploaded wav file and ran inference but it generates the following error: 

INFO:tensorflow:Calling model_fn. INFO:tensorflow:Running infer on CPU/GPU WARNING:tensorflow:From /usr/local/lib/python3.7/dist-packages/magenta/contrib/rnn.py:473: bidirectional_dynamic_rnn (from tensorflow.python.ops.rnn) is deprecated and will be removed in a future version. Instructions for updating: Please use `keras.layers.Bidirectional(keras.layers.RNN(cell))`, which is equivalent to this API WARNING:tensorflow:From /usr/local/lib/python3.7/dist-packages/tensorflow/python/ops/rnn.py:446: dynamic_rnn (from tensorflow.python.ops.rnn) is deprecated and will be removed in a future version. Instructions for updating: Please use `keras.layers.RNN(cell)`, which is equivalent to this API
/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/engine/base_layer_v1.py:1694: UserWarning: `layer.apply` is deprecated and will be removed in a future version. Please use `layer.__call__` method instead. warnings.warn('`layer.apply` is deprecated and ' /usr/local/lib/python3.7/dist-packages/magenta/contrib/rnn.py:750: UserWarning: `layer.add_variable` is deprecated and will be removed in a future version. Please use the `layer.add_weight()` method instead. self._names["W"], [input_size + self._num_units, self._num_units * 4]) /usr/local/lib/python3.7/dist-packages/magenta/contrib/rnn.py:753: UserWarning: `layer.add_variable` is deprecated and will be removed in a future version. Please use the `layer.add_weight()` method instead. initializer=tf.constant_initializer(0.0))
WARNING:tensorflow:From /usr/local/lib/python3.7/dist-packages/tensorflow/python/util/dispatch.py:1082: to_float (from tensorflow.python.ops.math_ops) is deprecated and will be removed in a future version. Instructions for updating: Use `tf.cast` instead. WARNING:tensorflow:From /usr/local/lib/python3.7/dist-packages/tensorflow/python/util/dispatch.py:1082: div (from tensorflow.python.ops.math_ops) is deprecated and will be removed in a future version. Instructions for updating: Deprecated in favor of operator or tf.math.divide. INFO:tensorflow:Done calling model_fn. INFO:tensorflow:Graph was finalized. INFO:tensorflow:Restoring parameters from /content/onsets-frames/maestro/train/model.ckpt INFO:tensorflow:Running local_init_op. INFO:tensorflow:Done running local_init_op. INFO:tensorflow:prediction_loop marked as finished WARNING:tensorflow:Reraising captured error
--------------------------------------------------------------------------- UnimplementedError Traceback (most recent call last) /usr/local/lib/python3.7/dist-packages/tensorflow/python/client/session.py in _do_call(self, fn, *args) 1376 try: -> 1377 return fn(*args) 1378 except errors.OpError as e:
18 frames
UnimplementedError: 2 root error(s) found. (0) UNIMPLEMENTED: DNN library is not found.     [[{{node frame/conv0/Conv2D}}]]     [[stack_8/_711]] (1) UNIMPLEMENTED: DNN library is not found.     [[{{node frame/conv0/Conv2D}}]] 0 successful operations. 0 derived errors ignored. During handling of the above exception, another exception occurred: UnimplementedError Traceback (most recent call last) /usr/local/lib/python3.7/dist-packages/tensorflow/python/client/session.py in _do_call(self, fn, *args) 1394 '\nsession_config.graph_options.rewrite_options.' 1395 'disable_meta_optimizer = True') -> 1396 raise type(e)(node_def, op, message) # pylint: disable=no-value-for-parameter 1397 1398 def _extend_graph(self): UnimplementedError: Graph execution error: Detected at node 'frame/conv0/Conv2D' defined at (most recent call last): File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main "__main__", mod_spec) File "/usr/lib/python3.7/runpy.py", line 85, in _run_code exec(code, run_globals) File "/usr/local/lib/python3.7/dist-packages/ipykernel_launcher.py", line 16, in <module> app.launch_new_instance() File "/usr/local/lib/python3.7/dist-packages/traitlets/config/application.py", line 846, in launch_instance app.start() File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelapp.py", line 499, in start self.io_loop.start() File "/usr/local/lib/python3.7/dist-packages/tornado/platform/asyncio.py", line 132, in start self.asyncio_loop.run_forever() File "/usr/lib/python3.7/asyncio/base_events.py", line 541, in run_forever self._run_once() File "/usr/lib/python3.7/asyncio/base_events.py", line 1786, in _run_once handle._run() File "/usr/lib/python3.7/asyncio/events.py", line 88, in _run self._context.run(self._callback, *self._args) File "/usr/local/lib/python3.7/dist-packages/tornado/platform/asyncio.py", line 122, in _handle_events handler_func(fileobj, events) File "/usr/local/lib/python3.7/dist-packages/tornado/stack_context.py", line 300, in null_wrapper return fn(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 577, in _handle_events self._handle_recv() File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 606, in _handle_recv self._run_callback(callback, msg) File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 556, in _run_callback callback(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tornado/stack_context.py", line 300, in null_wrapper return fn(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 283, in dispatcher return self.dispatch_shell(stream, msg) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 233, in dispatch_shell handler(stream, idents, msg) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 399, in execute_request user_expressions, allow_stdin) File "/usr/local/lib/python3.7/dist-packages/ipykernel/ipkernel.py", line 208, in do_execute res = shell.run_cell(code, store_history=store_history, silent=silent) File "/usr/local/lib/python3.7/dist-packages/ipykernel/zmqshell.py", line 537, in run_cell return super(ZMQInteractiveShell, self).run_cell(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2718, in run_cell interactivity=interactivity, compiler=compiler, result=result) File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2822, in run_ast_nodes if self.run_code(code, result): File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2882, in run_code exec(code_obj, self.user_global_ns, self.user_ns) File "<ipython-input-6-e1a8ca7fed1d>", line 5, in <module> yield_single_examples=False)) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 3139, in predict yield_single_examples=yield_single_examples): File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/estimator.py", line 624, in predict self.config) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 2934, in _call_model_fn config) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/estimator.py", line 1174, in _call_model_fn model_fn_results = self._model_fn(features=features, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 3192, in _model_fn features, labels, is_export_mode=is_export_mode) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 1714, in call_without_tpu return self._call_model_fn(features, labels, is_export_mode=is_export_mode) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 2057, in _call_model_fn estimator_spec = self._model_fn(features=features, **kwargs) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/train_util.py", line 78, in wrapped_model_fn return model_fn(features, labels, mode, params, config) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 222, in model_fn lengths=length) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 114, in acoustic_model conv_output = conv_net(inputs, hparams) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 55, in conv_net normalizer_fn=slim.batch_norm) File "/usr/local/lib/python3.7/dist-packages/tf_slim/ops/arg_scope.py", line 184, in func_with_args return func(*args, **current_args) File "/usr/local/lib/python3.7/dist-packages/tf_slim/layers/layers.py", line 1191, in convolution2d conv_dims=2) File "/usr/local/lib/python3.7/dist-packages/tf_slim/ops/arg_scope.py", line 184, in func_with_args return func(*args, **current_args) File "/usr/local/lib/python3.7/dist-packages/tf_slim/layers/layers.py", line 1089, in convolution outputs = layer.apply(inputs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/engine/base_layer_v1.py", line 1697, in apply return self.__call__(inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/legacy_tf_layers/base.py", line 568, in __call__ outputs = super(Layer, self).__call__(inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/engine/base_layer_v1.py", line 784, in __call__ outputs = call_fn(cast_inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/layers/convolutional.py", line 253, in call outputs = self._convolution_op(inputs, self.kernel) Node: 'frame/conv0/Conv2D' Detected at node 'frame/conv0/Conv2D' defined at (most recent call last): File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main "__main__", mod_spec) File "/usr/lib/python3.7/runpy.py", line 85, in _run_code exec(code, run_globals) File "/usr/local/lib/python3.7/dist-packages/ipykernel_launcher.py", line 16, in <module> app.launch_new_instance() File "/usr/local/lib/python3.7/dist-packages/traitlets/config/application.py", line 846, in launch_instance app.start() File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelapp.py", line 499, in start self.io_loop.start() File "/usr/local/lib/python3.7/dist-packages/tornado/platform/asyncio.py", line 132, in start self.asyncio_loop.run_forever() File "/usr/lib/python3.7/asyncio/base_events.py", line 541, in run_forever self._run_once() File "/usr/lib/python3.7/asyncio/base_events.py", line 1786, in _run_once handle._run() File "/usr/lib/python3.7/asyncio/events.py", line 88, in _run self._context.run(self._callback, *self._args) File "/usr/local/lib/python3.7/dist-packages/tornado/platform/asyncio.py", line 122, in _handle_events handler_func(fileobj, events) File "/usr/local/lib/python3.7/dist-packages/tornado/stack_context.py", line 300, in null_wrapper return fn(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 577, in _handle_events self._handle_recv() File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 606, in _handle_recv self._run_callback(callback, msg) File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 556, in _run_callback callback(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tornado/stack_context.py", line 300, in null_wrapper return fn(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 283, in dispatcher return self.dispatch_shell(stream, msg) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 233, in dispatch_shell handler(stream, idents, msg) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 399, in execute_request user_expressions, allow_stdin) File "/usr/local/lib/python3.7/dist-packages/ipykernel/ipkernel.py", line 208, in do_execute res = shell.run_cell(code, store_history=store_history, silent=silent) File "/usr/local/lib/python3.7/dist-packages/ipykernel/zmqshell.py", line 537, in run_cell return super(ZMQInteractiveShell, self).run_cell(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2718, in run_cell interactivity=interactivity, compiler=compiler, result=result) File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2822, in run_ast_nodes if self.run_code(code, result): File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2882, in run_code exec(code_obj, self.user_global_ns, self.user_ns) File "<ipython-input-6-e1a8ca7fed1d>", line 5, in <module> yield_single_examples=False)) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 3139, in predict yield_single_examples=yield_single_examples): File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/estimator.py", line 624, in predict self.config) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 2934, in _call_model_fn config) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/estimator.py", line 1174, in _call_model_fn model_fn_results = self._model_fn(features=features, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 3192, in _model_fn features, labels, is_export_mode=is_export_mode) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 1714, in call_without_tpu return self._call_model_fn(features, labels, is_export_mode=is_export_mode) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 2057, in _call_model_fn estimator_spec = self._model_fn(features=features, **kwargs) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/train_util.py", line 78, in wrapped_model_fn return model_fn(features, labels, mode, params, config) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 222, in model_fn lengths=length) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 114, in acoustic_model conv_output = conv_net(inputs, hparams) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 55, in conv_net normalizer_fn=slim.batch_norm) File "/usr/local/lib/python3.7/dist-packages/tf_slim/ops/arg_scope.py", line 184, in func_with_args return func(*args, **current_args) File "/usr/local/lib/python3.7/dist-packages/tf_slim/layers/layers.py", line 1191, in convolution2d conv_dims=2) File "/usr/local/lib/python3.7/dist-packages/tf_slim/ops/arg_scope.py", line 184, in func_with_args return func(*args, **current_args) File "/usr/local/lib/python3.7/dist-packages/tf_slim/layers/layers.py", line 1089, in convolution outputs = layer.apply(inputs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/engine/base_layer_v1.py", line 1697, in apply return self.__call__(inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/legacy_tf_layers/base.py", line 568, in __call__ outputs = super(Layer, self).__call__(inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/engine/base_layer_v1.py", line 784, in __call__ outputs = call_fn(cast_inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/layers/convolutional.py", line 253, in call outputs = self._convolution_op(inputs, self.kernel) Node: 'frame/conv0/Conv2D' 2 root error(s) found. (0) UNIMPLEMENTED: DNN library is not found.     [[{{node frame/conv0/Conv2D}}]]     [[stack_8/_711]] (1) UNIMPLEMENTED: DNN library is not found.     [[{{node frame/conv0/Conv2D}}]] 0 successful operations. 0 derived errors ignored. Original stack trace for 'frame/conv0/Conv2D': File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main "__main__", mod_spec) File "/usr/lib/python3.7/runpy.py", line 85, in _run_code exec(code, run_globals) File "/usr/local/lib/python3.7/dist-packages/ipykernel_launcher.py", line 16, in <module> app.launch_new_instance() File "/usr/local/lib/python3.7/dist-packages/traitlets/config/application.py", line 846, in launch_instance app.start() File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelapp.py", line 499, in start self.io_loop.start() File "/usr/local/lib/python3.7/dist-packages/tornado/platform/asyncio.py", line 132, in start self.asyncio_loop.run_forever() File "/usr/lib/python3.7/asyncio/base_events.py", line 541, in run_forever self._run_once() File "/usr/lib/python3.7/asyncio/base_events.py", line 1786, in _run_once handle._run() File "/usr/lib/python3.7/asyncio/events.py", line 88, in _run self._context.run(self._callback, *self._args) File "/usr/local/lib/python3.7/dist-packages/tornado/platform/asyncio.py", line 122, in _handle_events handler_func(fileobj, events) File "/usr/local/lib/python3.7/dist-packages/tornado/stack_context.py", line 300, in null_wrapper return fn(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 577, in _handle_events self._handle_recv() File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 606, in _handle_recv self._run_callback(callback, msg) File "/usr/local/lib/python3.7/dist-packages/zmq/eventloop/zmqstream.py", line 556, in _run_callback callback(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tornado/stack_context.py", line 300, in null_wrapper return fn(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 283, in dispatcher return self.dispatch_shell(stream, msg) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 233, in dispatch_shell handler(stream, idents, msg) File "/usr/local/lib/python3.7/dist-packages/ipykernel/kernelbase.py", line 399, in execute_request user_expressions, allow_stdin) File "/usr/local/lib/python3.7/dist-packages/ipykernel/ipkernel.py", line 208, in do_execute res = shell.run_cell(code, store_history=store_history, silent=silent) File "/usr/local/lib/python3.7/dist-packages/ipykernel/zmqshell.py", line 537, in run_cell return super(ZMQInteractiveShell, self).run_cell(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2718, in run_cell interactivity=interactivity, compiler=compiler, result=result) File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2822, in run_ast_nodes if self.run_code(code, result): File "/usr/local/lib/python3.7/dist-packages/IPython/core/interactiveshell.py", line 2882, in run_code exec(code_obj, self.user_global_ns, self.user_ns) File "<ipython-input-6-e1a8ca7fed1d>", line 5, in <module> yield_single_examples=False)) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 3139, in predict yield_single_examples=yield_single_examples): File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/estimator.py", line 624, in predict self.config) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 2934, in _call_model_fn config) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/estimator.py", line 1174, in _call_model_fn model_fn_results = self._model_fn(features=features, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 3192, in _model_fn features, labels, is_export_mode=is_export_mode) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 1714, in call_without_tpu return self._call_model_fn(features, labels, is_export_mode=is_export_mode) File "/usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/tpu/tpu_estimator.py", line 2057, in _call_model_fn estimator_spec = self._model_fn(features=features, **kwargs) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/train_util.py", line 78, in wrapped_model_fn return model_fn(features, labels, mode, params, config) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 222, in model_fn lengths=length) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 114, in acoustic_model conv_output = conv_net(inputs, hparams) File "/usr/local/lib/python3.7/dist-packages/magenta/models/onsets_frames_transcription/model.py", line 55, in conv_net normalizer_fn=slim.batch_norm) File "/usr/local/lib/python3.7/dist-packages/tf_slim/ops/arg_scope.py", line 184, in func_with_args return func(*args, **current_args) File "/usr/local/lib/python3.7/dist-packages/tf_slim/layers/layers.py", line 1191, in convolution2d conv_dims=2) File "/usr/local/lib/python3.7/dist-packages/tf_slim/ops/arg_scope.py", line 184, in func_with_args return func(*args, **current_args) File "/usr/local/lib/python3.7/dist-packages/tf_slim/layers/layers.py", line 1089, in convolution outputs = layer.apply(inputs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/engine/base_layer_v1.py", line 1697, in apply return self.__call__(inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/legacy_tf_layers/base.py", line 568, in __call__ outputs = super(Layer, self).__call__(inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/engine/base_layer_v1.py", line 784, in __call__ outputs = call_fn(cast_inputs, *args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/autograph/impl/api.py", line 689, in wrapper return converted_call(f, args, kwargs, options=options) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/autograph/impl/api.py", line 331, in converted_call return _call_unconverted(f, args, kwargs, options, False) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/autograph/impl/api.py", line 458, in _call_unconverted return f(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/keras/layers/convolutional.py", line 253, in call outputs = self._convolution_op(inputs, self.kernel) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/util/traceback_utils.py", line 150, in error_handler return fn(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/util/dispatch.py", line 1082, in op_dispatch_handler return dispatch_target(*args, **kwargs) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/ops/nn_ops.py", line 1157, in convolution_v2 name=name) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/ops/nn_ops.py", line 1289, in convolution_internal name=name) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/ops/nn_ops.py", line 2763, in _conv2d_expanded_batch name=name) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/ops/gen_nn_ops.py", line 973, in conv2d data_format=data_format, dilations=dilations, name=name) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/framework/op_def_library.py", line 799, in _apply_op_helper attrs=attr_protos, op_def=op_def) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/framework/ops.py", line 3762, in _create_op_internal op_def=op_def) File "/usr/local/lib/python3.7/dist-packages/tensorflow/python/framework/ops.py", line 2133, in __init__ self._traceback = tf_stack.extract_stack_for_node(self._c_op)


Lukas Petersson

unread,
Sep 27, 2022, 3:00:38 PM (2 days ago) Sep 27
to Magenta Discuss, joen...@gmail.com
Did you fix it? I have the same issue.

Curtis "Fjord" Hawthorne

unread,
Sep 28, 2022, 12:47:40 PM (yesterday) Sep 28
to Lukas Petersson, Magenta Discuss, joen...@gmail.com
This is being caused by a mismatch between the installed cudnn library and the compiled TensorFlow code. I'll try to figure out why this started happening.

As a temporary workaround, you can run this command and then restart the kernel and things should start working:

!sudo apt-get install libcudnn8=8.1.1.33-1+cuda11.2 cuda-11-2 -y --allow-change-held-packages

-Fjord

--
Magenta project: magenta.tensorflow.org
To post to this group, send email to magenta...@tensorflow.org
To unsubscribe from this group, send email to magenta-discu...@tensorflow.org
---
To unsubscribe from this group and stop receiving emails from it, send an email to magenta-discu...@tensorflow.org.

Lukas Petersson

unread,
Sep 28, 2022, 3:52:53 PM (yesterday) Sep 28
to Magenta Discuss, fj...@google.com, Magenta Discuss, joen...@gmail.com, Lukas Petersson
Thanks a tone!
Works great!

Btw, is Onset and Frames still the best opensource option for midi transcription?

Curtis "Fjord" Hawthorne

unread,
Sep 28, 2022, 6:44:54 PM (yesterday) Sep 28
to Lukas Petersson, Magenta Discuss, joen...@gmail.com
Glad to hear it! Hopefully I can get a more permanent fix out in the near future.

You might also be interested in our multi-instrument transcription model, MT3.

-Fjord

Michael Theodore

unread,
Sep 29, 2022, 3:22:04 PM (15 hours ago) Sep 29
to Magenta Discuss, fj...@google.com, Magenta Discuss
Great to see a fix for this! Is there a similar fix for the Generating Piano Music With Transformers colab? I'd love to use it but colab no longers supports TF 1.

regards, Michael
Reply all
Reply to author
Forward
0 new messages